Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxUSBRNDIS.h File Reference include file for the IXP425 USB RNDIS implementation More... Go to the source code of this file.
## Functions
PUBLIC IX_STATUS | ixUSBRNDISSignalEncapsulatedCommand (void)
| Function prototype for signalling encapsulation command.
PUBLIC IX_STATUS | ixUSBRNDISProcessEncapsulatedCommand (IX_USB_MBLK *)
| Function prototype for processing encapsulation command.
PUBLIC IX_STATUS | ixUSBRNDISProcessDataPacket (IX_USB_MBLK *)
| Function prototype for processing data packet.
PUBLIC IX_STATUS | ixUSBRNDISLayerInit (void *pDrvCtrl)
| Function prototype for layer initialization.
PUBLIC IX_STATUS | ixUSBRNDISInit (void)
| Function prototype for initializing RNDIS.
PUBLIC void | ixUSBRNDISUnload (void)
| Function prototype for releasing the I/O memory and disconnecting the interrupt.
PUBLIC IX_USB_MBLK * | ixUSBRNDISCreateMBuf (UINT8 *buffer, UINT32 len)
| Function prototype for creating MBufs.
PUBLIC IX_STATUS | ixUSBRNDISSendDataPacket (RNDIS_BUF *packet)
| Function prototype for sending data packet. It is the hook for the RNDIS END.
void | ixUSBRNDISIpHdrDump (const char *const mData)
const char * | ixUSBRNDISIpProtoStrGet (const UINT8 ipProto)
const char * | ixUSBRNDISEthernetTypeStrGet (const UINT16 etherType)
void | ixUSBRNDISEthernetHdrDump (const char *const mData, BOOL *nonIpHdrDetected)
## Detailed Description include file for the IXP425 USB RNDIS implementation Version: Revision 1.21 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxUSBRNDIS.h.
Automatically generated from sources. © Intel Corp. 2003